@import '~src/assets/styles/darktheme.scss';
@import '~src/assets/styles/variables.scss';

$main-circle-diameter: 80vmin;
$small-circle-diameter: 15vmin;

.main-circle {
  position: fixed;
  top: 50%;
  left: 50%;
  margin: auto;
  background-color: #2c2c2c;
  border: 1px solid rgba($white, 0.5);

  border-radius: 50%;
  width: $main-circle-diameter;
  height: $main-circle-diameter;
  margin-top: calc(#{$main-circle-diameter} / -2);
  margin-left: calc(#{$main-circle-diameter} / -2);
  
  &:before {
    @extend %outer-circle;
  }
}
